Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step.errorhandling
Class FileErrorHandlerContentLineNumber

    java.lang.Object
      org.pentaho.di.trans.step.errorhandling.AbstractFileErrorHandler
          org.pentaho.di.trans.step.errorhandling.FileErrorHandlerContentLineNumber

All Implemented Interfaces:
  FileErrorHandler

    public class FileErrorHandlerContentLineNumber

extends AbstractFileErrorHandler

Field Summary

Fields inherited from class org.pentaho.di.trans.step.errorhandling.AbstractFileErrorHandler
`NO_PARTS`

Constructor Summary
`FileErrorHandlerContentLineNumber(Date date, String destinationDirectory, String fileExtension, String encoding, BaseStep baseStep)`

Method Summary
`void` | `handleLineError(long lineNr, String filePart)` This method handles an error when processing the line with corresponding lineNr.
`void` | `handleNonAccessibleFile(org.apache.commons.vfs.FileObject file)` This method handles a file that is required, but is not accessible.
`void` | `handleNonExistantFile(org.apache.commons.vfs.FileObject file)` This method handles a file that is required, but does not exist.

Methods inherited from class org.pentaho.di.trans.step.errorhandling.AbstractFileErrorHandler
`close, createDateFormat, getReplayFilename, getReplayFilename, handleFile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileErrorHandlerContentLineNumber

    public FileErrorHandlerContentLineNumber(Date date,
                                             String destinationDirectory,
                                             String fileExtension,
                                             String encoding,
                                             BaseStep baseStep)

Method Detail

### handleLineError

    public void handleLineError(long lineNr,
                                String filePart)
                         throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `FileErrorHandler`
  This method handles an error when processing the line with corresponding lineNr.

    `filePart` - allows us to split error according to a filePart
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### handleNonExistantFile

    public void handleNonExistantFile(org.apache.commons.vfs.FileObject file)

  Description copied from interface: `FileErrorHandler`
  This method handles a file that is required, but does not exist.

### handleNonAccessibleFile

    public void handleNonAccessibleFile(org.apache.commons.vfs.FileObject file)

  Description copied from interface: `FileErrorHandler`
  This method handles a file that is required, but is not accessible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD